Subject: Nonreproducible error while grafting kdeclarative

From: Jelle Licht <[email-masked]>
Date: Wed, 29 Mar 2023 18:24:31 +0200

While running some random guix command which had to build and/or graft
some store items, I ran into a failure:

--8<---------------cut here---------------start------------->8---
applying 43 grafts for kdeclarative-5.98.0 ...
[snip]
View build log at '/var/log/guix/drvs/yq/3if54r360b6mhf7hdzlrlz02zl3rl1-kdeclarative-5.98.0.drv.gz'.
--8<---------------cut here---------------end--------------->8---

Contents of referenced log file:
--8<---------------cut here---------------start------------->8---
grafting '/gnu/store/57m41maa1wi5iv7075cvkcxyvnw155yc-kdeclarative-5.98.0' -> '/gnu/store/0irfgfan5ggqyr4mzdmjygknp58x27fa-kdeclarative-5.98.0'...
ERROR: In procedure car: Wrong type argument in position 1 (expecting pair): 221
--8<---------------cut here---------------end--------------->8---

Simply trying again with `guix build kdeclarative' works out fine:

--8<---------------cut here---------------start------------->8---
The following graft will be made:
   /gnu/store/yq3if54r360b6mhf7hdzlrlz02zl3rl1-kdeclarative-5.98.0.drv
applying 43 grafts for kdeclarative-5.98.0 ...
grafting '/gnu/store/57m41maa1wi5iv7075cvkcxyvnw155yc-kdeclarative-5.98.0' -> '/gnu/store/0irfgfan5ggqyr4mzdmjygknp58x27fa-kdeclarative-5.98.0'...
successfully built /gnu/store/yq3if54r360b6mhf7hdzlrlz02zl3rl1-kdeclarative-5.98.0.drv
/gnu/store/0irfgfan5ggqyr4mzdmjygknp58x27fa-kdeclarative-5.98.0
--8<---------------cut here---------------end--------------->8---

I can't seem to reproduce the error again. Both my RAM and SSD seem to
be in good health. I'm using an ext4 file system /w luks FDE on the SSD.

Perhaps there are other packages that have this happen as well, or
perhaps it's just bad luck on my end :-).

- Jelle